#include "service.h"
#include <QDebug>
#include <QxtWebRequestEvent>

service::service(QxtAbstractWebSessionManager *manager, QObject *parent):
    QxtWebServiceDirectory(manager, parent)
{

}

void service::indexRequested(QxtWebRequestEvent *event)
{
    qDebug() << "[indexRequested]";
    qDebug() << "url: " << event->url;

    if (event->method.compare("GET")==0) {
        postEvent(new QxtWebPageEvent(event->sessionID,
                                      event->requestID,
                                      QString("err").toUtf8()));
        return;
    }

    if (event->method.compare("POST")==0) {
        requestID = event->requestID;
        sessionID = event->sessionID;

        myContent = event->content;
        QObject::connect(myContent, SIGNAL(readChannelFinished()), this, SLOT(onReadChannelFinished()));
        QObject::connect(myContent, SIGNAL(readyRead()), this, SLOT(onReadyRead()));

        qDebug() << trUtf8("Bytes: %1").arg(myContent->unreadBytes());

        //myContent->waitForAllContent();
        //QByteArray a = myContent->readAll();
        //qDebug() << a;
    }
}

void service::onReadChannelFinished()
{
    qDebug() << "[Finished]";
}

void service::onReadyRead()
{
    QByteArray a = myContent->readAll();
    qDebug() << "a = " << a;
    qDebug() << "unreadBytes = " << myContent->unreadBytes();
}
