#include "srv.h"
#include <QDebug>

Srv::Srv(const QHostAddress &host, quint64 port, QObject *parent)
{
    QxtHttpSessionManager(this);

    setPort(port);
    setListenInterface(host);
    setConnector(HttpServer);

    rootService = new service(this, this);
    setStaticContentService(rootService);
}

Srv::~Srv()
{
    delete rootService;
}

void Srv::incomingRequest(quint32 requestID, const QHttpRequestHeader &header, QxtWebContent *device)
{
    QxtHttpSessionManager::incomingRequest(requestID, header, device);
    qDebug() << trUtf8("Request: %1").arg(requestID);
    qDebug() << trUtf8("Method:  %1").arg(header.method());
    qDebug() << trUtf8("URI:  %1").arg(header.path());
}
